StereoMatcher (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.calib3d

## Class StereoMatcher

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.calib3d.StereoMatcher

- Direct Known Subclasses:
    StereoBM, StereoSGBM

      public class StereoMatcher
      extends Algorithm

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DISP_SCALE`
    `static int` | `DISP_SHIFT`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StereoMatcher(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StereoMatcher` | `__fromPtr__(long addr)`
    `void` | `compute(Mat left, Mat right, Mat disparity)`
    `protected void` | `finalize()`
    `int` | `getBlockSize()`
    `int` | `getDisp12MaxDiff()`
    `int` | `getMinDisparity()`
    `int` | `getNumDisparities()`
    `int` | `getSpeckleRange()`
    `int` | `getSpeckleWindowSize()`
    `void` | `setBlockSize(int blockSize)`
    `void` | `setDisp12MaxDiff(int disp12MaxDiff)`
    `void` | `setMinDisparity(int minDisparity)`
    `void` | `setNumDisparities(int numDisparities)`
    `void` | `setSpeckleRange(int speckleRange)`
    `void` | `setSpeckleWindowSize(int speckleWindowSize)`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DISP_SHIFT

          public static final int DISP_SHIFT

      See Also:
        Constant Field Values

    - #### DISP_SCALE

          public static final int DISP_SCALE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StereoMatcher

          protected StereoMatcher(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static StereoMatcher __fromPtr__(long addr)

    - #### getBlockSize

          public int getBlockSize()

    - #### getDisp12MaxDiff

          public int getDisp12MaxDiff()

    - #### getMinDisparity

          public int getMinDisparity()

    - #### getNumDisparities

          public int getNumDisparities()

    - #### getSpeckleRange

          public int getSpeckleRange()

    - #### getSpeckleWindowSize

          public int getSpeckleWindowSize()

    - #### compute

          public void compute(Mat left,
                              Mat right,
                              Mat disparity)

    - #### setBlockSize

          public void setBlockSize(int blockSize)

    - #### setDisp12MaxDiff

          public void setDisp12MaxDiff(int disp12MaxDiff)

    - #### setMinDisparity

          public void setMinDisparity(int minDisparity)

    - #### setNumDisparities

          public void setNumDisparities(int numDisparities)

    - #### setSpeckleRange

          public void setSpeckleRange(int speckleRange)

    - #### setSpeckleWindowSize

          public void setSpeckleWindowSize(int speckleWindowSize)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:52 MDT / OpenCV unknown